com.mockobjects.mail

## Class MockSession

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.mail.MockSession

- All Implemented Interfaces:
    Session, Verifiable

      public class MockSession
      extends MockObject
      implements Session

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockSession()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getDebug()`
    `Session` | `getDefaultInstance(java.util.Properties props)`
    `Session` | `getDefaultInstance(java.util.Properties props, Authenticator authenticator)`
    `Folder` | `getFolder()`
    `Folder` | `getFolder(Store store)`
    `Folder` | `getFolder(URLName url)`
    `Session` | `getInstance(java.util.Properties props)`
    `Session` | `getInstance(java.util.Properties props, Authenticator authenticator)`
    `PasswordAuthentication` | `getPasswordAuthentication(URLName url)`
    `java.util.Properties` | `getProperties()`
    `java.lang.String` | `getProperty(java.lang.String name)`
    `Provider` | `getProvider(java.lang.String name)`
    `Provider[]` | `getProviders()`
    `Store` | `getStore()`
    `Store` | `getStore(Provider provider)`
    `Store` | `getStore(java.lang.String name)`
    `Store` | `getStore(URLName url)`
    `Transport` | `getTransport()`
    `Transport` | `getTransport(Address address)`
    `Transport` | `getTransport(Provider provider)`
    `Transport` | `getTransport(java.lang.String aTransportName)`
    `Transport` | `getTransport(URLName url)`
    `javax.mail.Session` | `getWrappedSession()`
    `PasswordAuthentication` | `requestPasswordAuthentication(java.net.InetAddress address, int port, java.lang.String protocol, java.lang.String prompt, java.lang.String defaultUserName)`
    `void` | `setDebug(boolean aDebug)`
    `void` | `setExpectedDebug(boolean aDebug)`
    `void` | `setExpectedTransport(java.lang.String aTransportName)`
    `void` | `setPasswordAuthentication(URLName url, PasswordAuthentication passwordAuthentication)`
    `void` | `setProvider(Provider provider)`
    `void` | `setupGetTransport(Transport aTransport)`

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockSession

          public MockSession()

  - ### Method Detail

    - #### getInstance

          public Session getInstance(java.util.Properties props,
                                     Authenticator authenticator)

      Specified by:
        `getInstance` in interface `Session`

    - #### getInstance

          public Session getInstance(java.util.Properties props)

      Specified by:
        `getInstance` in interface `Session`

    - #### getDefaultInstance

          public Session getDefaultInstance(java.util.Properties props,
                                            Authenticator authenticator)

      Specified by:
        `getDefaultInstance` in interface `Session`

    - #### getDefaultInstance

          public Session getDefaultInstance(java.util.Properties props)

      Specified by:
        `getDefaultInstance` in interface `Session`

    - #### setExpectedDebug

          public void setExpectedDebug(boolean aDebug)

    - #### setDebug

          public void setDebug(boolean aDebug)

      Specified by:
        `setDebug` in interface `Session`

    - #### getDebug

          public boolean getDebug()

      Specified by:
        `getDebug` in interface `Session`

    - #### getProviders

          public Provider[] getProviders()

      Specified by:
        `getProviders` in interface `Session`

    - #### getProvider

          public Provider getProvider(java.lang.String name)

      Specified by:
        `getProvider` in interface `Session`

    - #### setProvider

          public void setProvider(Provider provider)

      Specified by:
        `setProvider` in interface `Session`

    - #### getTransport

          public Transport getTransport()

      Specified by:
        `getTransport` in interface `Session`

    - #### setExpectedTransport

          public void setExpectedTransport(java.lang.String aTransportName)

    - #### setupGetTransport

          public void setupGetTransport(Transport aTransport)

    - #### getTransport

          public Transport getTransport(java.lang.String aTransportName)

      Specified by:
        `getTransport` in interface `Session`

    - #### getTransport

          public Transport getTransport(Address address)

      Specified by:
        `getTransport` in interface `Session`

    - #### getTransport

          public Transport getTransport(Provider provider)

      Specified by:
        `getTransport` in interface `Session`

    - #### getTransport

          public Transport getTransport(URLName url)

      Specified by:
        `getTransport` in interface `Session`

    - #### getStore

          public Store getStore()

      Specified by:
        `getStore` in interface `Session`

    - #### getStore

          public Store getStore(java.lang.String name)

      Specified by:
        `getStore` in interface `Session`

    - #### getStore

          public Store getStore(URLName url)

      Specified by:
        `getStore` in interface `Session`

    - #### getStore

          public Store getStore(Provider provider)

      Specified by:
        `getStore` in interface `Session`

    - #### getFolder

          public Folder getFolder()

    - #### getFolder

          public Folder getFolder(Store store)

      Specified by:
        `getFolder` in interface `Session`

    - #### getFolder

          public Folder getFolder(URLName url)

      Specified by:
        `getFolder` in interface `Session`

    - #### setPasswordAuthentication

          public void setPasswordAuthentication(URLName url,
                                                PasswordAuthentication passwordAuthentication)

      Specified by:
        `setPasswordAuthentication` in interface `Session`

    - #### getPasswordAuthentication

          public PasswordAuthentication getPasswordAuthentication(URLName url)

      Specified by:
        `getPasswordAuthentication` in interface `Session`

    - #### requestPasswordAuthentication

          public PasswordAuthentication requestPasswordAuthentication(java.net.InetAddress address,
                                                                      int port,
                                                                      java.lang.String protocol,
                                                                      java.lang.String prompt,
                                                                      java.lang.String defaultUserName)

      Specified by:
        `requestPasswordAuthentication` in interface `Session`

    - #### getProperties

          public java.util.Properties getProperties()

      Specified by:
        `getProperties` in interface `Session`

    - #### getProperty

          public java.lang.String getProperty(java.lang.String name)

      Specified by:
        `getProperty` in interface `Session`

    - #### getWrappedSession

          public javax.mail.Session getWrappedSession()

      Specified by:
        `getWrappedSession` in interface `Session`

Copyright © 2002 Mock Objects. All Rights Reserved.